Highlighted

Air 17 can't compile ipa if using custom iOS .framework on WIN

Participant ,
Mar 21, 2015

Copy link to clipboard

Copied

Hi Support,

I just encountered a problem which seems to be a bug... I am building an air native extension which uses a third-party .framework.... to be able to build my .ane I have to install the third-party framework into my flex SDK at "flex_sdk_4.6_air_sdk_17-124\lib\aot\stub" and when I run to compile my .ipa it says:

ld: in D:\\flex_sdk_4.6_air_sdk_17-124\\lib\\aot/stub/thirdParty.framework/thirdParty(coutln.o), unsupported address encoding (80) of personality function in CIE for architecture arm64

Compilation failed while executing : ld64

The weird thing is that I get this error when I'm compiling on a windows only! when I compile the very same project on a mac, it compiles just fine and I can install the .ipa with no problem!

so, I thought maybe I should post this bug here and hopefully wait for a fix because although we can live with compiling on a mac, we really need to be able to do it on a windows as we have only one Mac in the office and all the other computers are Windows!

If this is not a bug and I'm doing something wrong, please give me a hint.

Thanks,

Hadi

Correct answer by joep1978 | Community Beginner

I had this issue with an ANE I was using - it threw this error trying to build on Windows iOS. After many headaches the problem was nailed down to a problem with ld64.exe - however there's a version below that fixes the issue for me:-

http://joep.com/ld64.zip

You need to copy it over ld64.exe in flexairsdk\4.6.0+17.0.0\lib\aot\bin\ld64

TOPICS
Performance issues

Views

916

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Air 17 can't compile ipa if using custom iOS .framework on WIN

Participant ,
Mar 21, 2015

Copy link to clipboard

Copied

Hi Support,

I just encountered a problem which seems to be a bug... I am building an air native extension which uses a third-party .framework.... to be able to build my .ane I have to install the third-party framework into my flex SDK at "flex_sdk_4.6_air_sdk_17-124\lib\aot\stub" and when I run to compile my .ipa it says:

ld: in D:\\flex_sdk_4.6_air_sdk_17-124\\lib\\aot/stub/thirdParty.framework/thirdParty(coutln.o), unsupported address encoding (80) of personality function in CIE for architecture arm64

Compilation failed while executing : ld64

The weird thing is that I get this error when I'm compiling on a windows only! when I compile the very same project on a mac, it compiles just fine and I can install the .ipa with no problem!

so, I thought maybe I should post this bug here and hopefully wait for a fix because although we can live with compiling on a mac, we really need to be able to do it on a windows as we have only one Mac in the office and all the other computers are Windows!

If this is not a bug and I'm doing something wrong, please give me a hint.

Thanks,

Hadi

Correct answer by joep1978 | Community Beginner

I had this issue with an ANE I was using - it threw this error trying to build on Windows iOS. After many headaches the problem was nailed down to a problem with ld64.exe - however there's a version below that fixes the issue for me:-

http://joep.com/ld64.zip

You need to copy it over ld64.exe in flexairsdk\4.6.0+17.0.0\lib\aot\bin\ld64

TOPICS
Performance issues

Views

917

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Mar 21, 2015 0
Adobe Employee ,
Mar 25, 2015

Copy link to clipboard

Copied

Hi,

Thanks for reporting the issue.

Could you please share a sample project so that we could reproduce the problem at our end.

Regards,

Mayank

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 25, 2015 0
Community Beginner ,
Mar 28, 2015

Copy link to clipboard

Copied

I had this issue with an ANE I was using - it threw this error trying to build on Windows iOS. After many headaches the problem was nailed down to a problem with ld64.exe - however there's a version below that fixes the issue for me:-

http://joep.com/ld64.zip

You need to copy it over ld64.exe in flexairsdk\4.6.0+17.0.0\lib\aot\bin\ld64

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 28, 2015 4
Participant ,
Mar 31, 2015

Copy link to clipboard

Copied

cool, I was able to compile the .ipa with your suggested file but I have two questions:

1) what is the source of this new ld64.exe ? I mean, where did you get it from? is it official or something?

2) the compiled .ipa won't be installed on my device! it remains black after I install it through iTunes! did you experience the same problem?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 0
Community Beginner ,
Mar 31, 2015

Copy link to clipboard

Copied

1) The ld64.exe was sent to me by the developers of an ANE that failed to build correctly on Windows with exactly this error. I don't know whether it was them or Adobe that built it, but I trust the developers, and know they'd been in contact with Adobe (I think with premium support) to try and get a fix for this issue.


2) I've never had this problem - the IPAs I built with this linker work just like any other.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 0
Participant ,
Mar 31, 2015

Copy link to clipboard

Copied

Awesome. using your solution + updating iTunes to the latest version + removing the following from plist, solved the problem. thank you

http://stackoverflow.com/questions/15081935/receiving-installation-error-applicationverificationfail...

<Entitlements>
  <![CDATA[
  
<key>get-task-allow</key>
  
<true/>
  ]]>
</Entitlements>

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 1
Explorer ,
Jul 17, 2017

Copy link to clipboard

Copied

Thanks you ld64.exe fixed the problem

however it's size 10 times less than original ld64.exe that comes with air sdk.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 17, 2017 0
Explorer ,
Jul 17, 2017

Copy link to clipboard

Copied

Adobe should hire more competent stuff for support.

All i see just a copy paste answer asking to provide example project file to investigate.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 17, 2017 0